FreeBSD : xen-tools -- Cirrus VGA Heap overflow via display refresh (af19ecd0-0f6a-11e7-970f-002590263bf5)

High Nessus Plugin ID 97904


The remote FreeBSD host is missing a security-related update.


The Xen Project reports :

A privileged user within the guest VM can cause a heap overflow in the device model process, potentially escalating their privileges to that of the device model process.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 97904

File Name: freebsd_pkg_af19ecd00f6a11e7970f002590263bf5.nasl

Version: $Revision: 3.4 $

Type: local

Published: 2017/03/23

Modified: 2017/03/30

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:xen-tools, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2017/03/23

Vulnerability Publication Date: 2017/03/14

Reference Information

CVE: CVE-2016-9603

IAVB: 2017-B-0035